package com.srs.stureg.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 现场办理学生信息对象 srs_handle_information
 * 
 * @author 邓
 * @date 2023-05-20
 */
public class OfflineCheckIn extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 学号 */
    @Excel(name = "学号")
    private Long studentId;

    /** 考生号 */
    @Excel(name = "考生号")
    private String candidatesId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 性别 */
    @Excel(name = "性别")
    private Integer sex;

    /** 手机号 */
    @Excel(name = "手机号")
    private Long phoneNumber;

    /** 邮箱 */
    @Excel(name = "邮箱")
    private String email;

    /** 身份证件号 */
    @Excel(name = "身份证件号")
    private String idCard;

    /** 院系 */
    @Excel(name = "院系")
    private String departments;

    /** 办理情况 */
    @Excel(name = "办理情况")
    private String handlingStatus;

    /** 部门状态（0正常 */
    @Excel(name = "部门状态", readConverterExp = "部门状态（0正常")
    private String status;

    /** 删除标志（0代表存在 */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setStudentId(Long studentId) 
    {
        this.studentId = studentId;
    }

    public Long getStudentId() 
    {
        return studentId;
    }
    public void setCandidatesId(String candidatesId) 
    {
        this.candidatesId = candidatesId;
    }

    public String getCandidatesId() 
    {
        return candidatesId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setSex(Integer sex) 
    {
        this.sex = sex;
    }

    public Integer getSex() 
    {
        return sex;
    }
    public void setPhoneNumber(Long phoneNumber) 
    {
        this.phoneNumber = phoneNumber;
    }

    public Long getPhoneNumber() 
    {
        return phoneNumber;
    }
    public void setEmail(String email) 
    {
        this.email = email;
    }

    public String getEmail() 
    {
        return email;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setDepartments(String departments) 
    {
        this.departments = departments;
    }

    public String getDepartments() 
    {
        return departments;
    }
    public void setHandlingStatus(String handlingStatus) 
    {
        this.handlingStatus = handlingStatus;
    }

    public String getHandlingStatus() 
    {
        return handlingStatus;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("studentId", getStudentId())
            .append("candidatesId", getCandidatesId())
            .append("name", getName())
            .append("sex", getSex())
            .append("phoneNumber", getPhoneNumber())
            .append("email", getEmail())
            .append("idCard", getIdCard())
            .append("departments", getDepartments())
            .append("handlingStatus", getHandlingStatus())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
